curl --request POST \
--url https://api.quiva.ai/hub/nodes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"collection": "ms.hub.config.collection.node.805092869",
"data": {
"name": "ProcessPayment",
"description": "Processes a payment transaction via Stripe",
"node_type": "function",
"subject": "quiva-function.stripe-charge",
"payload": {
"amount": "{{trigger.amount}}",
"currency": "{{trigger.currency}}",
"customer_id": "{{trigger.customer_id}}"
},
"options": {
"timeout": 30000,
"attempts": 3,
"backoff_ms": 1000
}
}
}
'{
"subject": "ms.hub.config.node.805092869.98765432",
"collection": "ms.hub.config.collection.node.805092869",
"data": {
"id": "98765432",
"name": "ProcessPayment",
"description": "Processes a payment transaction via Stripe",
"node_type": "function",
"subject": "quiva-function.stripe-charge",
"payload": {
"amount": "{{trigger.amount}}",
"currency": "{{trigger.currency}}",
"customer_id": "{{trigger.customer_id}}"
},
"options": {
"timeout": 30000,
"attempts": 3,
"backoff_ms": 1000
}
},
"type": "created",
"modified": 1748533179
}Nodes
Create a new node
Creates a new node template within a collection
POST
/
hub
/
nodes
curl --request POST \
--url https://api.quiva.ai/hub/nodes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"collection": "ms.hub.config.collection.node.805092869",
"data": {
"name": "ProcessPayment",
"description": "Processes a payment transaction via Stripe",
"node_type": "function",
"subject": "quiva-function.stripe-charge",
"payload": {
"amount": "{{trigger.amount}}",
"currency": "{{trigger.currency}}",
"customer_id": "{{trigger.customer_id}}"
},
"options": {
"timeout": 30000,
"attempts": 3,
"backoff_ms": 1000
}
}
}
'{
"subject": "ms.hub.config.node.805092869.98765432",
"collection": "ms.hub.config.collection.node.805092869",
"data": {
"id": "98765432",
"name": "ProcessPayment",
"description": "Processes a payment transaction via Stripe",
"node_type": "function",
"subject": "quiva-function.stripe-charge",
"payload": {
"amount": "{{trigger.amount}}",
"currency": "{{trigger.currency}}",
"customer_id": "{{trigger.customer_id}}"
},
"options": {
"timeout": 30000,
"attempts": 3,
"backoff_ms": 1000
}
},
"type": "created",
"modified": 1748533179
}Authorizations
bearerAuthapiKeyAuth
JWT Authorization header using the Bearer scheme
Body
application/json